# Bots Base API

# Installation / Kurulum
`npm i botsbase.js`

### Glitch
`pnpm i botsbase.js`

# Examples / Örnek

```js
const BaseAPI = require('botsbase.js')
const BotsBase = new BaseAPI("TOKEN")
```

#### Checking user has voted

```js
const BaseAPI = require('botsbase.js')
const BotsBase = new BaseAPI("TOKEN");

   const check = await BotsBase.voted("USER_ID")
   if(check) {
       console.log("true") // Voted
   } else {
       console.log("false") // No Voted
   }

```

#### Bot Fetch

```js
const BaseAPI = require('botsbase.js')
const BotsBase = new BaseAPI("TOKEN");

 const data = await BotsBase.fetch_bot("BOT_ID")
   console.log(data) // { isim: "...", prefix: "..." }
  // const isim = await BotsBase.fetchBot("BOT_ID").then(x => x.id)

```

#### Roxza