const request = require('node-superfetch')
const superagent = require('superagent');

class BotsBase {
    constructor(token) {
        this.anahtar = token;
    };

    async voted(userID) {
        if(!this.anahtar) throw new Error("[BotsBase] Please enter the key.")
        if (!userID) throw new TypeError(`[BotsBase] Please enter a user id.`)
        try {
            const { body } = await request.get(`https://botsbase.net/api.php?action=vote_control&token=${this.anahtar}&user_id=${userID}`);
            let json = JSON.parse(body);
            if(json.status === false) throw new TypeError("İnvalid token");
            return json.is_voted
        } catch (err) {
            return
        }
    }

    async fetch_bot(bot) {
        if(!bot) throw new Error("[BotsBase] Please enter the bot id.")
        try {
            const { body } = await request.get(`https://botsbase.net/api.php?action=bot&bot_id=${bot}`);
            let json = JSON.parse(body);
            return json
        } catch (err) {
            return
        }
    }

}

module.exports = BotsBase